# Uses of Class
javafx.scene.Camera

Packages that use Camera
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.

## Uses of Camera in javafx.scene

Subclasses of Camera in javafx.scene
Modifier and Type
Class
Description
`class`
`ParallelCamera`
Specifies a parallel camera for rendering a scene without perspective correction.
`class`
`PerspectiveCamera`
Specifies a perspective camera for rendering a scene.
Methods in javafx.scene that return Camera
Modifier and Type
Method
Description
`final Camera`
Scene.`getCamera()`
Gets the value of the `camera` property.
`Camera`
SnapshotParameters.`getCamera()`
Gets the current camera.
`final Camera`
SubScene.`getCamera()`
Gets the value of the `camera` property.
Methods in javafx.scene that return types with arguments of type Camera
Modifier and Type
Method
Description
`final ObjectProperty<Camera>`
Scene.`cameraProperty()`
Specifies the type of camera use for rendering this `Scene`.
`final ObjectProperty<Camera>`
SubScene.`cameraProperty()`
Specifies the type of camera use for rendering this `SubScene`.
Methods in javafx.scene with parameters of type Camera
Modifier and Type
Method
Description
`final void`
Scene.`setCamera(Camera value)`
Sets the value of the `camera` property.
`void`
SnapshotParameters.`setCamera(Camera camera)`
Sets the camera to the specified value.
`final void`
SubScene.`setCamera(Camera value)`
Sets the value of the `camera` property.